org.wildfly.swarm.microprofile.openapi.api.models.parameters

## Class ParameterImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.parameters.ParameterImpl

- All Implemented Interfaces:
    ModelImpl

      public class ParameterImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `Parameter` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Parameter` | `addExample(String key, Example example)`
    `Parameter` | `allowEmptyValue(Boolean allowEmptyValue)`
    `Parameter` | `allowReserved(Boolean allowReserved)`
    `Parameter` | `content(Content content)`
    `Parameter` | `deprecated(Boolean deprecated)`
    `Parameter` | `description(String description)`
    `Parameter` | `example(Object example)`
    `Parameter` | `examples(Map<String,Example> examples)`
    `Parameter` | `explode(Boolean explode)`
    `Boolean` | `getAllowEmptyValue()`
    `Boolean` | `getAllowReserved()`
    `Content` | `getContent()`
    `Boolean` | `getDeprecated()`
    `String` | `getDescription()`
    `Object` | `getExample()`
    `Map<String,Example>` | `getExamples()`
    `Boolean` | `getExplode()`
    `In` | `getIn()`
    `String` | `getName()`
    `String` | `getRef()`
    `Boolean` | `getRequired()`
    `Schema` | `getSchema()`
    `Style` | `getStyle()`
    `Parameter` | `in(In in)`
    `Parameter` | `name(String name)`
    `Parameter` | `ref(String ref)`
    `Parameter` | `required(Boolean required)`
    `Parameter` | `schema(Schema schema)`
    `void` | `setAllowEmptyValue(Boolean allowEmptyValue)`
    `void` | `setAllowReserved(Boolean allowReserved)`
    `void` | `setContent(Content content)`
    `void` | `setDeprecated(Boolean deprecated)`
    `void` | `setDescription(String description)`
    `void` | `setExample(Object example)`
    `void` | `setExamples(Map<String,Example> examples)`
    `void` | `setExplode(Boolean explode)`
    `void` | `setIn(In in)`
    `void` | `setName(String name)`
    `void` | `setRef(String ref)`
    `void` | `setRequired(Boolean required)`
    `void` | `setSchema(Schema schema)`
    `void` | `setStyle(Style style)`
    `Parameter` | `style(Style style)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterImpl

          public ParameterImpl()

  - ### Method Detail

    - #### getRef

          public String getRef()

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#getRef()`

    - #### setRef

          public void setRef(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#setRef(java.lang.String)`

    - #### ref

          public Parameter ref(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#ref(java.lang.String)`

    - #### getName

          public String getName()

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#getName()`

    - #### setName

          public void setName(String name)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#setName(java.lang.String)`

    - #### name

          public Parameter name(String name)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#name(java.lang.String)`

    - #### getDescription

          public String getDescription()

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#getDescription()`

    - #### setDescription

          public void setDescription(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#setDescription(java.lang.String)`

    - #### description

          public Parameter description(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#description(java.lang.String)`

    - #### getRequired

          public Boolean getRequired()

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#getRequired()`

    - #### setRequired

          public void setRequired(Boolean required)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#setRequired(java.lang.Boolean)`

    - #### required

          public Parameter required(Boolean required)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#required(java.lang.Boolean)`

    - #### getDeprecated

          public Boolean getDeprecated()

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#getDeprecated()`

    - #### setDeprecated

          public void setDeprecated(Boolean deprecated)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#setDeprecated(java.lang.Boolean)`

    - #### deprecated

          public Parameter deprecated(Boolean deprecated)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#deprecated(java.lang.Boolean)`

    - #### getAllowEmptyValue

          public Boolean getAllowEmptyValue()

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#getAllowEmptyValue()`

    - #### setAllowEmptyValue

          public void setAllowEmptyValue(Boolean allowEmptyValue)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#setAllowEmptyValue(java.lang.Boolean)`

    - #### allowEmptyValue

          public Parameter allowEmptyValue(Boolean allowEmptyValue)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#allowEmptyValue(java.lang.Boolean)`

    - #### getStyle

          public Style getStyle()

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#getStyle()`

    - #### setStyle

          public void setStyle(Style style)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#setStyle(Style)`

    - #### style

          public Parameter style(Style style)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#style(Style)`

    - #### getExplode

          public Boolean getExplode()

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#getExplode()`

    - #### setExplode

          public void setExplode(Boolean explode)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#setExplode(java.lang.Boolean)`

    - #### explode

          public Parameter explode(Boolean explode)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#explode(java.lang.Boolean)`

    - #### getAllowReserved

          public Boolean getAllowReserved()

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#getAllowReserved()`

    - #### setAllowReserved

          public void setAllowReserved(Boolean allowReserved)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#setAllowReserved(java.lang.Boolean)`

    - #### allowReserved

          public Parameter allowReserved(Boolean allowReserved)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#allowReserved(java.lang.Boolean)`

    - #### getSchema

          public Schema getSchema()

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#getSchema()`

    - #### setSchema

          public void setSchema(Schema schema)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#setSchema(org.eclipse.microprofile.openapi.models.media.Schema)`

    - #### schema

          public Parameter schema(Schema schema)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#schema(org.eclipse.microprofile.openapi.models.media.Schema)`

    - #### getExamples

          public Map<String,Example> getExamples()

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#getExamples()`

    - #### setExamples

          public void setExamples(Map<String,Example> examples)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#setExamples(java.util.Map)`

    - #### examples

          public Parameter examples(Map<String,Example> examples)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#examples(java.util.Map)`

    - #### addExample

          public Parameter addExample(String key,
                                      Example example)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#addExample(java.lang.String, org.eclipse.microprofile.openapi.models.examples.Example)`

    - #### getExample

          public Object getExample()

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#getExample()`

    - #### setExample

          public void setExample(Object example)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#setExample(java.lang.Object)`

    - #### example

          public Parameter example(Object example)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#example(java.lang.Object)`

    - #### getContent

          public Content getContent()

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#getContent()`

    - #### setContent

          public void setContent(Content content)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#setContent(org.eclipse.microprofile.openapi.models.media.Content)`

    - #### content

          public Parameter content(Content content)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#content(org.eclipse.microprofile.openapi.models.media.Content)`

    - #### getIn

          public In getIn()

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#getIn()`

    - #### setIn

          public void setIn(In in)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#setIn(org.eclipse.microprofile.openapi.models.parameters.Parameter.In)`

    - #### in

          public Parameter in(In in)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.Parameter#in(org.eclipse.microprofile.openapi.models.parameters.Parameter.In)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.